#!/bin/bash

# The path to the libglm root.
LIBGLM_ROOT=${1:-~/.libglm}

# Get the path of the source file for some libglm mod by name.
#  $1 - the name of the mod
function libglm_mod {
	source $LIBGLM_ROOT/lib/env.bash
	source $LIBGLM_ROOT/lib/fs.bash
	case $1 in
		deploy|args|env|string|notify|fs)
			echo $(fs_lib $1)
		;;
		*)
			echo "Error: no such mod name found: $1";
		;;
	esac
		
}

# Source the specified mod into the current shell.
#  $1 - the name of the mod
function libglm_load {
	. $(libglm_mod $1)
}
