#!/bin/bash

# Resolve the arguments into a path, joined by / chars.
#  $@ - paths to join
function fs_resolve {
	source "$LIBGLM_ROOT/lib/string.bash"
	local SPLIT_PATH=$(string_join_array / $@)
	echo $SPLIT_PATH
}

# Resolve the path to a libglm BASH library.
#  $@ - relative name of the lib - not ending in .bash
function fs_lib {
	local SPLIT_PATH=$(fs_resolve $LIBGLM_ROOT/lib $@)
	echo $SPLIT_PATH.bash
}

# Resolve the path to a resource in the libglm root.
#  $@ - relative paths to join
function fs_glm {
	local SPLIT_PATH=$(fs_resolve $LIBGLM_ROOT $@)
	echo $SPLIT_PATH
}
